package com.eugenefn.openapi.sample.view;

import android.content.Context;
import android.widget.FrameLayout;

import com.eugenefn.openapi.sample.SampleFrameView;
import com.eugenefn.openapi.sample.view.util.ColorUtil;

public class SampleBaseView extends FrameLayout
{
	public SampleFrameView m_viewParent;

	public SampleBaseView(Context context)
	{
		super(context);
	}

	protected int getColor(int nColorId)
	{
		return ColorUtil.getColor(getContext(), nColorId);
	}

	public void setParentFrame(SampleFrameView parent)
	{
		m_viewParent = parent;
	}

	public boolean onBackPressed()
	{
		return false;
	}

	public void onRefreshView()
	{

	}

	public void showLogin()
	{

	}
}
